//these variables should not changed by the user and will not be saved in storage

import {getVersionByNum, VersionType} from '@helper/version';
import configDarkTheme, {ThemeColorsType} from '@configs/colors';

export const APP_VERSION = getVersionByNum(1);
export const AppVarMaxBackups: number = 10;

export enum appStatus {
  IS_LOADING,
  APP_RUNNING,
}

export enum connectionStatus {
  UNKNOWN,
  OFFLINE,
  ONLINE,
  RECONNECTING,
}

export interface NON_SAVE_VARS {
  currentAppVersion: VersionType;
  appStatus: appStatus;
  connectionStatus: connectionStatus;
  themeColors: ThemeColorsType;
}

export const non_save_vars: NON_SAVE_VARS = {
  currentAppVersion: APP_VERSION,
  appStatus: appStatus.IS_LOADING,
  connectionStatus: connectionStatus.UNKNOWN,
  themeColors: configDarkTheme.tokens.colors,
};
