import LangFormat from './default';

export const lang: LangFormat = {
  details: {
    langCode: 'en',
    langName: 'English',
  },
  curVersion: 'Your current version is v${version}.',
  appName: 'Click And Join',
  appNameDesc: 'an app developed with love by Janex',
  startHelper1: 'Your data will be loaded :)',
  navigation: {
    home: {
      profile: 'My profile',
      calendar: 'Calendar',
      map: 'Map',
      chat: 'Chats',
    },
  },
  info: 'Info',
  error: 'Error',
  success: 'Success',
  account: {
    login: {
      title: 'Log in',
      wrongEmPw: 'Wrong E-Mail or password',
      failed: 'Login failed. Try again or contact support.',
      success: 'Successfully logged in!',
    },
    registration: {
      registration: 'Registration',

      info: 'By registering, you agree to our ${TermsOfUse}. You can find out how we collect and use your data in our ${privacyPolicy}.',
      privacyPolicy: 'privacy policy',
      termsOfUse: 'Terms of Use',
      stepOne: {
        title: 'E-Mail',
        success: 'A verification has sent to your E-Mail!',
        addressExists: 'The E-Mail you entered is already in use.',
        addressInvalid: 'The address you entered has an invalid format.',
        noMailEntered: 'Please enter your E-Mail',
        button: 'Next step',
      },
      stepTwo: {
        title: 'Enter the 6-digit code that we sent you to ${EMail}.',
        verification: 'X-X-X-X-X-X',
        noCodeEntered: 'Please enter your code',
        resend: [
          'E-Mail not arrived? You can also resend the verification E-Mail by ${resend}.',
          'clicking here',
          'E-Mail verification has resent',
        ],
        resendError: {
          400: 'Email is already in the registration process by another user!',
          401: 'Your device have changed. Please use another E-Mail address.',
          429: 'Too many requests in a too small period of time in a row',
        },
        verificationError: {
          400: 'Something went wrong please try again :( Restart App maybe required',
          401: 'The code you entered does not match with the code we sent you',
          422: 'The verification time is expired. Please please try again',
        },
        button: 'Verify',
        success: 'Verification success!',
      },
      stepFinal: {
        verification:
          'Your Account has been verified. Now enter your user credentials.',
        userName: 'Username',
        accountName: 'AccountName',
        password: 'Password',
        passwordRepeat: 'Repeat password',
        displayName: 'Other users will see you like this:',
        accountNameError: {
          tooLong: 'Too long. Max length are ${maxLength} character.',
          tooShort: 'Too short. Min length are ${minLength} character.',
          required: 'This field is required',
          invalid:
            'Account names can only contain letters, numbers, underscores (_) and dots (.)',
          exists: 'The account name you entered already exists.',
          422: 'This name is already in use :(',
        },
        userNameError: {
          tooLong: 'Too long. Max length are ${maxLength} character.',
          tooShort: 'Too short. Min length are ${minLength} character.',
          required: 'This field is required',
        },
        passwordError: {
          noMatch: 'Passwords do not match',
          tooLong: 'Too long. Max length are ${maxLength} character.',
          tooShort: 'Too short. Min length are ${minLength} character.',
          required: 'This field is required',
          weak: 'Password is too weak',
          invalid:
            "Passwords must have at least one letter, one number, and one special character. It's for your security. :)",
        },
        passwordQuality: 'Password quality: ${quality}',
        passwordQualityList: {
          0: 'Very weak',
          1: 'Weak',
          2: 'Moderate',
          3: 'Strong',
          4: 'Very strong',
        },
        noAllFieldsEntered: 'Please fill all fields',
        button: 'Finish registration',
        registerError: {
          400: 'Sign up process expired please try again',
          401: 'User agent and/or IP has changed',
        },
      },
    },
  },
};
